Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.continuations
Interface ContinuationWrapper

    public interface ContinuationWrapper

Represents transport-neutral suspended invocation instances or continuations

Method Summary
`java.lang.Object` | `getObject()` Get arbitrary object associated with the continuation for context
`boolean` | `isNew()` Is this a newly created Continuation.
`boolean` | `isPending()` Get the pending status
`boolean` | `isResumed()` Get the resumed status
`void` | `reset()` Reset the continuation
`void` | `resume()` Resume a suspended request
`void` | `setObject(java.lang.Object o)` Sets arbitrary object associated with the continuation for context
`boolean` | `suspend(long timeout)` This method will suspend the request for the timeout or until resume is called

Method Detail

### suspend

    boolean suspend(long timeout)

  This method will suspend the request for the timeout or until resume is called

  Parameters:
    `timeout.` - A timeout of < 0 will cause an immediate return. A timeout of 0 will wait indefinitely.
  Returns:
    True if resume called or false if timeout.

### resume

    void resume()

  Resume a suspended request

### reset

    void reset()

  Reset the continuation

### isNew

    boolean isNew()

  Is this a newly created Continuation.

  Returns:
    True if the continuation has just been created and has not yet suspended the request.

### isPending

    boolean isPending()

  Get the pending status

  Returns:
    True if the continuation has been suspended.

### isResumed

    boolean isResumed()

  Get the resumed status

  Returns:
    True if the continuation is has been resumed.

### getObject

    java.lang.Object getObject()

  Get arbitrary object associated with the continuation for context

  Returns:
    An arbitrary object associated with the continuation

### setObject

    void setObject(java.lang.Object o)

  Sets arbitrary object associated with the continuation for context

  Parameters:
    `o` - An arbitrary object to associate with the continuation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF